| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iFontDeleteNotify Struct Reference
[2D]

Called before a font is deleted. More...

`#include <ivideo/fontserv.h>`

Inheritance diagram for iFontDeleteNotify:

[legend]
List of all members.

## Public Member Functions
virtual void | BeforeDelete (iFont *font)=0
| Before delete.

## Detailed Description

Called before a font is deleted.

You can insert any number of callback routines into the font so that when the font will be destroyed all of them will be called in turn. This can be used by canvas driver, for example, if the canvas driver does some kind of caching for fonts, e.g. OpenGL driver pre-caches the font on a texture, it needs some mechanism to be notified when the font is destroyed to free the cache texture associated with the font.

Definition at line 72 of file fontserv.h.

## Member Function Documentation

virtual void iFontDeleteNotify::BeforeDelete | ( | iFont * | font | ) | `[pure virtual]`

Before delete.

The documentation for this struct was generated from the following file:

- ivideo/fontserv.h